Bug 478912 - rsyslog doesn not enforce logging limits
rsyslog doesn not enforce logging limits
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Heinrich
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-05 17:59 EST by Lennart Poettering
Modified: 2016-09-20 00:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 07:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2009-01-05 17:59:55 EST
Apparently rsyslog does not enforce limits on the frequency of messages. It needs to do that however to make sure it cannot be forced into a DoS by filling up /var with nonsense. Even good ol' sysklogd limited the frequency of messages. 

The simple line:

   while true ; do echo fuck | logger ; done

will make /var be filled up sooner or later. With a lot of identical nonsensical messages. Triggered by something called as normal user. Good ol' sysklogf would only create two entries: the message itself and every minute or so "Last message repeated %u times.". That's the least rsyslog needs to do. (of course, it needs to limit non-identical messages, too)

Hmm, and unrelated to that looking at the code of rsyslog makes me feel really really unwell, ... threads, polish notation, uaaah! That's more appropriate on Windows than on free operating systems. Makes me wonder why Fedora picked rsyslog in the first place...
Comment 1 Bug Zapper 2009-06-09 06:35:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 Bug Zapper 2010-04-27 08:41:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2010-06-28 07:04:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.